/*.select2-container--open{*/
/*    z-index:9999999*/
/*}*/
.select2-container--open{z-index:9999999}
.select2-container--default .select2-selection--single .select2-selection__arrow b {margin-top: 1px}
:root {
    --blue: #32439b;
    --orange: #FFBA16;
    --bs-blue: #32439b !important;
    --bs-primary:#32439b;
}
body{}
a {color:var(--blue)}
a:hover {color:var(--orange)}
.container{width:99%;max-width: 99%;}
.card-header {font-weight: bold; }
.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {background:var(--orange)}
.form-check-input:checked{background-color:var(--blue) ;border-color: var(--blue) }
.navbar-brand img{filter:brightness(0) invert(1); width:auto;}

.btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: #32439b;
    --bs-btn-border-color: #32439b;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #0b5ed7;
    --bs-btn-hover-border-color: #32439b;
    --bs-btn-focus-shadow-rgb: 49, 132, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #32439b;
    --bs-btn-active-border-color: #0a53be;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #32439b;
    --bs-btn-disabled-border-color: #32439b;
}
.btn-outline-primary{
    --bs-btn-color: #32439b;
    --bs-btn-border-color: #32439b;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #32439b;
    --bs-btn-hover-border-color: #32439b;
    --bs-btn-focus-shadow-rgb: 13, 110, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #32439b;
    --bs-btn-active-border-color: #0d6efd;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #32439b;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #32439b;
    margin-left:4px;
    padding:2px 7px;
}
.col-md-12 .input-group span i {display:none}
.btn:hover {background:var(--orange);border-color:var(--orange);color:#fff;}
.btn:focus-visible,.btn-check:checked+.btn, .btn.active, .btn.show, .btn:first-child:active, :not(.btn-check)+.btn:active{background-color:var(--blue)}
.dropdown-item.active, .dropdown-item:active {background: var(--orange)}
.form-control:focus {border-color:var(--blue);box-shadow: none}
.table-hover>tbody>tr:hover>* {--bs-table-bg-state:rgba(0,0,0,0.03)}
.table-secondary {background:#fafafa; --bs-table-bg:f7f7f7}
input[name="search"] {max-width: 300px;}
.card{box-shadow: none; border-radius: 12px; overflow: hidden;}
.table-secondary{background: #fff;border-bottom: 1px solid #ddd}
.card-header {border-bottom: 1px solid #dedede}
.navbar{background: var(--blue) !important;color:#fff ;}
.navbar-brand, .nav-link{color:#fff;}
.nav-link {margin-right:5px;}
.nav-link:hover{color:#fff;opacity: 0.8}
.dropdown-menu .nav-link{color:#000;}
.navbar-nav .nav-link.active, .navbar-nav .nav-link.show{color:#fff;opacity: 0.8}
.dropdown-item:focus, .dropdown-item:hover{background-color: var(--orange)}
.form-control,.select2-container--default .select2-selection--single{border-color:#bbb;height: 40px;border-radius: 5px}
textarea.form-control{height: auto}
.input-group .btn {height: 40px}
label, .form-label {margin-block: 0.3rem;color: #666;margin-top: 15px;margin-bottom: -6px;z-index: 11;position: relative;background: #fff;font-size: 0.9rem;}
form .row table {margin-left: 1rem;margin-right: 1rem;width: 97%;border-style: dashed;border-width: 1.5px;border-radius: 12px !important;}
.modal-body form .row table , form .modal-body .row table {width:94%}
.public_form .card{box-shadow: none;border:1px solid #ddd}
.public_form form .row table{width: 100%;display: block;border: 1px solid #fff;border-radius: 10px !important;background: #f8f8f8;padding-left:5px;margin-bottom: 0.5rem;margin-left: 0;}
#relatedQuestions{margin-block: 1rem}
#relatedQuestions td{border:none}
.btn-outline-danger {padding:3px 8px}
.form-check-input, input[type="checkbox"]{width:1.5rem;height:1.5rem;border-radius: 100%;margin-top: 0;border:1px solid #bbb; accent-color:var(--blue)}
.form-check-input:hover{border-color:var(--blue)}
#relatedQuestions tbody, #relatedQuestions td, #relatedQuestions tfoot, #relatedQuestions th, #relatedQuestions thead, #relatedQuestions tr{background:transparent !important;}
i.bx{font-size: 1.55rem!important}
.modal-body input[name="diagnostic"]{margin-bottom: 1rem}
.form-control:disabled {background: #f6f6f6;border-color:#ddd}
.comments-details {margin-top: 1rem}
#relatedQuestions, .repairsteps {margin:2rem 0}
.three-buttons {text-align: right;}
.reports-div .accordion-header {position: absolute; right:1rem;top:49px;}
.reports-div .accordion-header button{background: #faf3dd; border:1px solid #e4dbbe; padding:12px;border-radius: 20px !important;}
.reports-div .accordion-button:focus{box-shadow:none; border-width: 3px;}
.counts-div, .brand-chart, .category-chart, .sub-category-chart {margin-block: 1.5rem}
.counts-div i.bx {font-size: 3.55rem!important; opacity: 0.6}

.public_form {100%;overflow:hidden;margin: 0 auto;}
.public_form .card {border: 0;}
.public_form .darkbg{background: var(--blue); text-align: center; color:#fff; position: relative;min-height:100vh}
.public_form .darkbg .inner {max-width: 500px;margin:0 auto;text-align:center;  margin-top:12%}
.public_form .darkbg img {width:280px;height: auto; display: inline-block; background: #fff; padding:1rem; border-radius: 10px}
.public_form .darkbg h2{margin-top: 1.5rem; font-size: 1.7rem;}
.public_form .darkbg h3 {font-size: 1rem;}
.public_form .darkbg p {color: #ffba16;font-weight: bold;font-size: 2.2rem;width: 80%;margin: 0 auto;line-height: 1.2em;margin-top: 3rem;}
.public_form .line {border-bottom:1px solid #fff;opacity:0.5;width:100px;height:1px;margin:2rem auto 0 auto}
.public_form .btn-outline-primary {background: transparent;font-weight: bold;color:#fff;border-color:#fff; margin-top:2rem;padding:6px 20px}
.public_form .btn-outline-primary:hover{background:#fff;color:#000;}

.public_form input[name="agree"]{float:left;margin-top: 15px;margin-right:10px}
.public_form .send, .public_form button[type="submit"] {width:100%;height:45px;font-weight: bold;}

.public_form label, .form-label {margin-block: 0.3rem;color: #b6b6b6;margin-top: 15px;margin-bottom: -8px;z-index: 11;position: relative;background: #fff;font-size: 0.9rem;}
.public_form input:-internal-autofill-selected {background:#fff !important}

.select2-container--default .select2-selection--single .select2-selection__rendered {line-height: 40px;}
.select2-container--default .select2-selection--single .select2-selection__arrow {top:5px}
.select2-container--default .select2-search--dropdown .select2-search__field {outline: none}






/* X-Small devices - Mobile */
@media (max-width: 575.98px) {
    .public_form form .row table {width:100%;margin-left:0;}
    .public_form .darkbg{background:#fff;min-height:auto}
    .public_form .darkbg .inner{margin-top: 1.5rem}
    .public_form .darkbg h2,.public_form .darkbg h3{display:none;}
    .public_form .darkbg p {color: #111;font-weight: bold;font-size: 1.2rem;margin-top: 0;}
    .public_form .darkbg .btn-outline-primary{display: none}
    .public_form .darkbg .btn-outline-primary, .public_form .line{display: none}
}


/* page loader */
#loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}
